## org.codehaus.groovy.binding
Interface BindingUpdatable

Method Summary
`void` | `bind()` Causes automatic updating of bound values to be turned on.
`void` | `rebind()` Causes automatic updating of bound values to be turned on.
`void` | `reverseUpdate()` Causes automatic updating of bound values to be turned on.
`void` | `unbind()` Causes automatic updating of bound values to be turned on.
`void` | `update()` Causes automatic updating of bound values to be turned on.

Method Detail

### bind

    public void bind()

  Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.

### rebind

    public void rebind()

  Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.

### reverseUpdate

    public void reverseUpdate()

  Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.

### unbind

    public void unbind()

  Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.

### update

    public void update()

  Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.